Bug 422851 - Review Request: fuse-gmailfs- Gmail Filesystem
Summary: Review Request: fuse-gmailfs- Gmail Filesystem
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 422831
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-13 04:10 UTC by Michael Stahnke
Modified: 2008-02-07 02:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 02:04:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2007-12-13 04:10:13 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/fuse-gmailfs.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/fuse-gmailfs-0.8.0-1.fc8.src.rpm
Description: Gmail Filesystem provides a mountable Linux filesystem which uses
your Gmail account as its storage medium. Gmail Filesystem is a
Python application and uses the FUSE userland filesystem
infrastructure to help provide the filesystem, and libgmail to
communicate with Gmail.

Comment 1 Parag AN(पराग) 2007-12-13 05:52:12 UTC
Though packaging looks ok to me here. I will wait for other dependencies to be
build in rawhide then will review this.

Comment 2 Parag AN(पराग) 2008-01-29 06:00:32 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
828417eb7355b61b0f474eabc826317f  gmailfs-0.8.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present which are small.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI App.
SHOULD:
   I am not sure about these messages in build.log
/usr/lib/rpm/pythondeps.sh: line 8: python: command not found
But, I think good to add BR:python

Koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=380349

APPROVED.



Comment 3 Michael Stahnke 2008-01-31 02:27:47 UTC
New Package CVS Request
=======================
Package Name: fuse-gmailfs
Short Description:  Gmail Filesystem 
Owners: stahnma
Branches: EL-4, EL-5, F7 , F8 
InitialCC: 
Cvsextras Commits: yes



Comment 4 Dennis Gilmore 2008-01-31 04:45:32 UTC
CVS Done


Comment 5 Parag AN(पराग) 2008-02-07 02:04:02 UTC
Closing this as this package has been successfully built for all requested
branches on build server.


Note You need to log in before you can comment on or make changes to this bug.